evas::canvas3d::node Struct Reference

Public Member Functions | Static Public Member Functions
evas::canvas3d::node Struct Reference

Class node. More...

## Public Member Functions
| node (Eo *eo)
| Eo Constructor. More...
| node (std::nullptr_t)
| nullptr_t Constructor. More...
| node (node const &other)
| Copy Constructor.
Evas_Canvas3D_Node_Type | type_get () const
void | member_add (::evas::canvas3d::node member_) const
void | member_del (::evas::canvas3d::node member_) const
::evas::canvas3d::node | parent_get () const
::efl::eina::crange_list< ::evas::canvas3d::node > | member_list_get () const
Eina_Hash * | scene_root_get () const
void | position_set (Evas_Real x_, Evas_Real y_, Evas_Real z_) const
void | orientation_set (Evas_Real x_, Evas_Real y_, Evas_Real z_, Evas_Real w_) const
void | orientation_angle_axis_set (Evas_Real angle_, Evas_Real x_, Evas_Real y_, Evas_Real z_) const
void | scale_set (Evas_Real x_, Evas_Real y_, Evas_Real z_) const
void | position_get (Evas_Canvas3D_Space space_, Evas_Real *x_, Evas_Real *y_, Evas_Real *z_) const
void | orientation_get (Evas_Canvas3D_Space space_, Evas_Real *x_, Evas_Real *y_, Evas_Real *z_, Evas_Real *w_) const
void | scale_get (Evas_Canvas3D_Space space_, Evas_Real *x_, Evas_Real *y_, Evas_Real *z_) const
void | look_at_set (Evas_Canvas3D_Space target_space_, Evas_Real x_, Evas_Real y_, Evas_Real z_, Evas_Canvas3D_Space up_space_, Evas_Real ux_, Evas_Real uy_, Evas_Real uz_) const
void | mesh_add (::evas::canvas3d::mesh mesh_) const
void | mesh_del (::evas::canvas3d::mesh mesh_) const
::efl::eina::crange_list< ::evas::canvas3d::mesh > | mesh_list_get () const
void | bounding_box_get (Evas_Real *x_, Evas_Real *y_, Evas_Real *z_, Evas_Real *x2_, Evas_Real *y2_, Evas_Real *z2_) const
void | bounding_sphere_get (Evas_Real *x_, Evas_Real *y_, Evas_Real *z_, Evas_Real *r_) const
bool | position_inherit_get () const
void | position_inherit_set (bool inherit_) const
bool | orientation_inherit_get () const
void | orientation_inherit_set (bool inherit_) const
bool | scale_inherit_get () const
void | scale_inherit_set (bool inherit_) const
::evas::canvas3d::object | camera_get () const
void | camera_set (::evas::canvas3d::object camera_) const
::evas::canvas3d::light | light_get () const
void | light_set (::evas::canvas3d::light light_) const
int | mesh_frame_get (::evas::canvas3d::mesh mesh_) const
void | mesh_frame_set (::evas::canvas3d::mesh mesh_, int frame_) const
::evas::canvas3d::node | billboard_target_get () const
void | billboard_target_set (::evas::canvas3d::node target_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_clicked_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_clicked_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_collision_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_collision_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| node (::efl::eo::parent_type _p, _c_constructor _c0)
| Constructs a new evas::canvas3d::node object. More...
| node (_c_constructor _c0)
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_, ::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_, ::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::canvas3d::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
void | change (Evas_Canvas3D_State state_, ::evas::canvas3d::object ref_) const
Evas_Canvas3D_Object_Type | type_get () const
void | type_set (Evas_Canvas3D_Object_Type type_) const
bool | dirty_get (Evas_Canvas3D_State state_) const
void | update () const
void | update_notify () const
void | change_notify (Evas_Canvas3D_State state_, ::evas::canvas3d::object ref_) const
void | callback_register (::efl::eina::string_view event_, const void *data_) const
void | callback_unregister (::efl::eina::string_view event_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_clicked_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_clicked_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_collision_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_collision_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| object (::efl::eo::parent_type _p)
| Constructs a new evas::canvas3d::object object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
::evas::common_interface | evas_get () const
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...

## Static Public Member Functions
static _c_constructor | constructor (Evas_Canvas3D_Node_Type type_)
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::canvas3d::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class node.

## Constructor & Destructor Documentation

## ◆ node() [1/3]

evas::canvas3d::node::node | ( | ::efl::eo::parent_type | _p,
|  | _c_constructor | _c0
| ) |  |
| inlineexplicit

Constructs a new evas::canvas3d::node object.

Constructs a new evas::canvas3d::node object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Since this class have a necessary constructor method, you must call it in the right place within this constructor parameters.

Example:

evas::canvas3d::node my_node(efl::eo::parent = parent_object,
my_node.constructor(type_));

See also
  node::constructor
  node(Eo* eo)

References efl::eo::parent.

## ◆ node() [2/3]

evas::canvas3d::node::node | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ node() [3/3]

evas::canvas3d::node::node | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ constructor()

static _c_constructor evas::canvas3d::node::constructor | ( | Evas_Canvas3D_Node_Type | type_ | ) |
| static

Parameters

  type |

## ◆ member_add()

void evas::canvas3d::node::member_add | ( | ::evas::canvas3d::node | member_ | ) | const

Parameters

  member |

## ◆ member_del()

void evas::canvas3d::node::member_del | ( | ::evas::canvas3d::node | member_ | ) | const

Parameters

  member |

## ◆ position_set()

void evas::canvas3d::node::position_set | ( | Evas_Real | x_,
|  | Evas_Real | y_,
|  | Evas_Real | z_
| ) |  | const

Parameters

  x |
  y |
  z |

## ◆ orientation_set()

void evas::canvas3d::node::orientation_set | ( | Evas_Real | x_,
|  | Evas_Real | y_,
|  | Evas_Real | z_,
|  | Evas_Real | w_
| ) |  | const

Parameters

  x |
  y |
  z |
  w |

## ◆ orientation_angle_axis_set()

void evas::canvas3d::node::orientation_angle_axis_set | ( | Evas_Real | angle_,
|  | Evas_Real | x_,
|  | Evas_Real | y_,
|  | Evas_Real | z_
| ) |  | const

Parameters

  angle |
  x |
  y |
  z |

## ◆ scale_set()

void evas::canvas3d::node::scale_set | ( | Evas_Real | x_,
|  | Evas_Real | y_,
|  | Evas_Real | z_
| ) |  | const

Parameters

  x |
  y |
  z |

## ◆ position_get()

void evas::canvas3d::node::position_get | ( | Evas_Canvas3D_Space | space_,
|  | Evas_Real * | x_,
|  | Evas_Real * | y_,
|  | Evas_Real * | z_
| ) |  | const

Parameters

  | space |
  [out] | x |
  [out] | y |
  [out] | z |

## ◆ orientation_get()

void evas::canvas3d::node::orientation_get | ( | Evas_Canvas3D_Space | space_,
|  | Evas_Real * | x_,
|  | Evas_Real * | y_,
|  | Evas_Real * | z_,
|  | Evas_Real * | w_
| ) |  | const

Parameters

  | space |
  [out] | x |
  [out] | y |
  [out] | z |
  [out] | w |

## ◆ scale_get()

void evas::canvas3d::node::scale_get | ( | Evas_Canvas3D_Space | space_,
|  | Evas_Real * | x_,
|  | Evas_Real * | y_,
|  | Evas_Real * | z_
| ) |  | const

Parameters

  | space |
  [out] | x |
  [out] | y |
  [out] | z |

## ◆ look_at_set()

void evas::canvas3d::node::look_at_set | ( | Evas_Canvas3D_Space | target_space_,
|  | Evas_Real | x_,
|  | Evas_Real | y_,
|  | Evas_Real | z_,
|  | Evas_Canvas3D_Space | up_space_,
|  | Evas_Real | ux_,
|  | Evas_Real | uy_,
|  | Evas_Real | uz_
| ) |  | const

Parameters

  target_space |
  x |
  y |
  z |
  up_space |
  ux |
  uy |
  uz |

## ◆ mesh_add()

void evas::canvas3d::node::mesh_add | ( | ::evas::canvas3d::mesh | mesh_ | ) | const

Parameters

  mesh |

## ◆ mesh_del()

void evas::canvas3d::node::mesh_del | ( | ::evas::canvas3d::mesh | mesh_ | ) | const

Parameters

  mesh |

## ◆ bounding_box_get()

void evas::canvas3d::node::bounding_box_get | ( | Evas_Real * | x_,
|  | Evas_Real * | y_,
|  | Evas_Real * | z_,
|  | Evas_Real * | x2_,
|  | Evas_Real * | y2_,
|  | Evas_Real * | z2_
| ) |  | const

Parameters

  x |
  y |
  z |
  x2 |
  y2 |
  z2 |

## ◆ bounding_sphere_get()

void evas::canvas3d::node::bounding_sphere_get | ( | Evas_Real * | x_,
|  | Evas_Real * | y_,
|  | Evas_Real * | z_,
|  | Evas_Real * | r_
| ) |  | const

Parameters

  x |
  y |
  z |
  r |